#include<iostream>
#include<fstream>
#include<string>
#include<algorithm>
#include<vector>

using namespace std;

#define all(x) x.begin(), x.end()
#define ll long long

int main() {
	int n;
	cin >> n;
	int ans;
	cout << "? 1 " << n << "\n";
	cout.flush();
	cin >> ans;
	int q = ans;
	if (q == 1) {
		cout << "Ready!\n";
		cout << ans << "\n";
		for (int i = 0; i < n ; i++)
			cout << 1 << " ";
		cout.flush();
		return 0;
	}
	int l = 1, r = 1;
	int x = 1;
	vector<int> arr(n);
	int c = 0;
	while (r < n) {
		while (x == 1) {
			r++;
			if (r > n)
				break;
			cout << "? " << l << " " << r << "\n";
			cout.flush();
			cin >> x;
		}
	//	cout << l - 1 << " " << r;
		for (int i = l - 1; i < r - 1; i++) 
			arr[i] = c + 1;
		c ^= 1;
	}
	cout << "Ready!\n";
	cout << ans << "\n";
	for (int i = 0; i < arr.size(); i++)
		cout << arr[i] << " ";
	cout.flush();
	return 0;
}